Package com.treemap.tagcloud

# Interface TagCloudAlgorithm<Font>

All Superinterfaces:
  `Algorithm`

All Known Implementing Classes:
  `AbstractTagCloudAlgorithm`, `LegacySwingTagCloudAlgorithm`, `SwingTagCloudAlgorithm`

public interface TagCloudAlgorithm<Font> extends Algorithm

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `TagCloudAlgorithm.OrientationMode`
  `static enum`
  `TagCloudAlgorithm.Spiral`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROPERTY_FONT`
  `static final String`
  `PROPERTY_ORIENTATIONMODE`
  `static final String`
  `PROPERTY_SPIRAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Font`
  `getFont()`
  `int`
  `getMaxTags()`
  `int`
  `getnSubdivisions()`
  `TagCloudAlgorithm.OrientationMode`
  `getOrientationMode()`
  `TagCloudAlgorithm.Spiral`
  `getSpiral()`
  `void`
  `setMaxTags(int maxTags)`
  `void`
  `setnSubdivisions(int nSubdivisions)`

  ### Methods inherited from interface com.treemap.Algorithm

  `breadthFirstLayout, depthFirstLayout, finishLayout, getProperties, isChildContained, isColorParent, isCompatible, isRenderingLeafLabelsSupported, isRenderingParentLabelSupported, isSpaceFilling, iterator, startLayout`

- ## Field Details

  - ### PROPERTY_FONT

    static final String PROPERTY_FONT
    See Also:
      - Constant Field Values

  - ### PROPERTY_ORIENTATIONMODE

    static final String PROPERTY_ORIENTATIONMODE
    See Also:
      - Constant Field Values

  - ### PROPERTY_SPIRAL

    static final String PROPERTY_SPIRAL
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getMaxTags

    int getMaxTags()

  - ### setMaxTags

    void setMaxTags(int maxTags)

  - ### getnSubdivisions

    int getnSubdivisions()

  - ### setnSubdivisions

    void setnSubdivisions(int nSubdivisions)

  - ### getFont

    Font getFont()

  - ### getSpiral

    TagCloudAlgorithm.Spiral getSpiral()

  - ### getOrientationMode

    TagCloudAlgorithm.OrientationMode getOrientationMode()